SalesOS.

Custom Objects

User-defined entities and their records

Custom Objects Controller_list Custom Objects

GET
/v1/custom-objects

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

pageRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/custom-objects?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_create Custom Object

POST
/v1/custom-objects

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X POST "https://api.salesos.org/v1/custom-objects" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_get Stats

GET
/v1/custom-objects/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/custom-objects/stats" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_get Custom Object

GET
/v1/custom-objects/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X GET "https://api.salesos.org/v1/custom-objects/<string>" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_update Custom Object

PATCH
/v1/custom-objects/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X PATCH "https://api.salesos.org/v1/custom-objects/<string>" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_delete Custom Object

DELETE
/v1/custom-objects/{id}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X DELETE "https://api.salesos.org/v1/custom-objects/<string>" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_add Field

POST
/v1/custom-objects/{id}/fields

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/custom-objects/<string>/fields" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_update Field

PATCH
/v1/custom-objects/{id}/fields/{fieldId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
fieldIdRequiredstring
curl -X PATCH "https://api.salesos.org/v1/custom-objects/<string>/fields/<string>" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_delete Field

DELETE
/v1/custom-objects/{id}/fields/{fieldId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
fieldIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/custom-objects/<string>/fields/<string>" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_list Records

GET
/v1/custom-objects/{id}/records

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring

Query Parameters

pageRequiredstring
limitRequiredstring
curl -X GET "https://api.salesos.org/v1/custom-objects/<string>/records?page=%3Cstring%3E&limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_create Record

POST
/v1/custom-objects/{id}/records

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
curl -X POST "https://api.salesos.org/v1/custom-objects/<string>/records" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_update Record

PATCH
/v1/custom-objects/{id}/records/{recordId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
recordIdRequiredstring
curl -X PATCH "https://api.salesos.org/v1/custom-objects/<string>/records/<string>" \
  -H "Authorization: Bearer <token>"

Custom Objects Controller_delete Record

DELETE
/v1/custom-objects/{id}/records/{recordId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

idRequiredstring
recordIdRequiredstring
curl -X DELETE "https://api.salesos.org/v1/custom-objects/<string>/records/<string>" \
  -H "Authorization: Bearer <token>"